Package org.eclipse.mat.parser.internal.util

## Class ParserRegistry.Parser

- java.lang.Object
- - org.eclipse.mat.parser.internal.util.ParserRegistry.Parser

Direct Known Subclasses:
  `ParserRegistry.DynamicParser`

Enclosing class:
  ParserRegistry

    public class ParserRegistry.Parser
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`<I> I` `create​(java.lang.Class<I> type, java.lang.String attribute)`
`java.lang.String` `getId()`
`SnapshotFormat` `getSnapshotFormat()`
`java.lang.String` `getUniqueIdentifier()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getId

    public java.lang.String getId()

#### getUniqueIdentifier

    public java.lang.String getUniqueIdentifier()

#### getSnapshotFormat

    public SnapshotFormat getSnapshotFormat()

#### create

    public <I> I create​(java.lang.Class<I> type,
                        java.lang.String attribute)